| Home | Libraries | People | FAQ | More

###### any_address::any_address (1 of 5 overloads)

Constructs an empty address.

###### Synopsis

    any_address();

###### Description

Results in an address with `this->type() == address_type::host_and_port`, `this->hostname() == ""` and `this->port() == default_port`, which identifies a server running on `localhost` using the default port.

###### Exception safety

No-throw guarantee.